Professional Web Applications Themes

Level 2 ODBC Drivers for IDS - Informix

IDS 9.21.FC4-1 Solaris 8 Wintel client machine We want to use the AcuCorp AcuCobol product. We ran its ODBC Driver test program, and it reported that our ODBC driver (3.82.0000 2.81.TC1) was Conformance Level 1 (both SQL and API). Since AcuCobol requires Level 2, I called IBM tech support to inquire on availability of Level 2 ODBC drivers. They told me two things: 1) the current IBM driver is the ONLY recommended/supported driver-- any 3rd party product is unsupported and used at our risk; 2) the current IBM Informix ODBC driver is ODBC Level 3 compliant. I am aware of ...

  1. #1

    Default Re: Level 2 ODBC Drivers for IDS

    IDS 9.21.FC4-1
    Solaris 8
    Wintel client machine

    We want to use the AcuCorp AcuCobol product. We ran its ODBC Driver test
    program, and it reported that our ODBC driver (3.82.0000 2.81.TC1) was
    Conformance Level 1 (both SQL and API). Since AcuCobol requires Level 2, I
    called IBM tech support to inquire on availability of Level 2 ODBC drivers.
    They told me two things: 1) the current IBM driver is the ONLY
    recommended/supported driver-- any 3rd party product is unsupported and used
    at our risk; 2) the current IBM Informix ODBC driver is ODBC Level 3
    compliant.

    I am aware of ODBC Level categories (API and SQL) of "Core", "Level 1", and
    "Level 2". I am not aware of "Level 3". I asked the engineer if Level 3
    was a superset of Level 2. He didn't seem to fully understand the question,
    and told me that it didn't really matter because the IBM Informix ODBC
    driver was the only recommended driver, regardless. I replied that Acucobol
    requires a Level 2 driver, and wanted to know if the IBM Informix driver
    qualified as Level 2. The engineer again replied that it didn't really
    matter because the IBM Informix driver was the only recommended driver. At
    that point, it seemed like we were in a rut, so I thanked him for his time
    and politely ended the conversation.

    But, I am still confused and a little frustrated.

    Does the IBM Informix ODBC driver conform to Level 2 (SQL and API)?

    Is there really an ODBC "Level 3" Conformance rating?

    Is it really true that the only workable IBM Informix ODBC driver is the one
    that is published by IBM?


    Thank you.

    DG



    "David E. Grove" <david_grovecorrect.state.ak.us> wrote in message
    news:vhg99sc8ankb0corp.supernews.com...
    > Does anyone know if there exist any Level 2 ODBC drivers for Informix 9.x?
    >
    > We are using the latest IBM Informix ODBC driver (3.82.0000 2.81.TC1), and
    > it appears to be Conformance Level 1 (both SQL and API).
    >
    > Thank you.
    >
    > DG
    >
    > --
    > David Grove
    >
    > - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    > "I think not," said Descartes, and disappeared.
    >
    >

    David E. Grove Guest

  2. #2

    Default Re: Level 2 ODBC Drivers for IDS

    That sure makes sense, Alexey.

    So, it would seem that IBM does not supply a Level 2 ODBC driver. (The list
    of unsupported ODBC features in the manual confirms it.) Further, IBM says
    that theirs is the only ODBC driver they recommend.

    That suggests two questions:

    1) What is IBM's solution to the need for a Level 2 ODBC driver?

    and

    2) What are other users doing to get ODBC Level 2 conformance?

    DG





    "Alexey Sonkin" <alexeisgrandvirtual.com> wrote in message
    news:bf9t1f$fhl$1terabinaries.xmission.com...
    >
    > Hi, David,
    >
    > I think that IBM engineer's confused between ODBC level
    > and ODBC version.
    > "new Informix product that implements the Microsoft Open Database
    > Connectivity (ODBC) version 3.0 standard" (from Release notes)
    >
    > ------------------------------------------
    > Alexey Sonkin
    > Senior Database Administrator
    >
    >
    > > -----Original Message-----
    > > From: David E. Grove [mailto:david_grovecorrect.state.ak.us]
    > > Sent: Friday, July 18, 2003 3:38 PM
    > > To: [email]informix-listiiug.org[/email]
    > > Subject: Re: Level 2 ODBC Drivers for IDS
    > >
    > > IDS 9.21.FC4-1
    > > Solaris 8
    > > Wintel client machine
    > >
    > > We want to use the AcuCorp AcuCobol product. We ran its ODBC Driver
    test
    > > program, and it reported that our ODBC driver (3.82.0000 2.81.TC1) was
    > > Conformance Level 1 (both SQL and API). Since AcuCobol requires Level
    2,
    > > I
    > > called IBM tech support to inquire on availability of Level 2 ODBC
    > > drivers.
    > > They told me two things: 1) the current IBM driver is the ONLY
    > > recommended/supported driver-- any 3rd party product is unsupported and
    > > used
    > > at our risk; 2) the current IBM Informix ODBC driver is ODBC Level 3
    > > compliant.
    > >
    > > I am aware of ODBC Level categories (API and SQL) of "Core", "Level 1",
    > > and
    > > "Level 2". I am not aware of "Level 3". I asked the engineer if Level
    3
    > > was a superset of Level 2. He didn't seem to fully understand the
    > > question,
    > > and told me that it didn't really matter because the IBM Informix ODBC
    > > driver was the only recommended driver, regardless. I replied that
    > > Acucobol
    > > requires a Level 2 driver, and wanted to know if the IBM Informix driver
    > > qualified as Level 2. The engineer again replied that it didn't really
    > > matter because the IBM Informix driver was the only recommended driver.
    > > At
    > > that point, it seemed like we were in a rut, so I thanked him for his
    time
    > > and politely ended the conversation.
    > >
    > > But, I am still confused and a little frustrated.
    > >
    > > Does the IBM Informix ODBC driver conform to Level 2 (SQL and API)?
    > >
    > > Is there really an ODBC "Level 3" Conformance rating?
    > >
    > > Is it really true that the only workable IBM Informix ODBC driver is the
    > > one
    > > that is published by IBM?
    > >
    > >
    > > Thank you.
    > >
    > > DG
    > >
    > >
    > >
    > > "David E. Grove" <david_grovecorrect.state.ak.us> wrote in message
    > > news:vhg99sc8ankb0corp.supernews.com...
    > > > Does anyone know if there exist any Level 2 ODBC drivers for Informix
    > > 9.x?
    > > >
    > > > We are using the latest IBM Informix ODBC driver (3.82.0000 2.81.TC1),
    > > and
    > > > it appears to be Conformance Level 1 (both SQL and API).
    > > >
    > > > Thank you.
    > > >
    > > > DG
    > > >
    > > > --
    > > > David Grove
    > > >
    > >
    > - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    > > -
    > > > "I think not," said Descartes, and disappeared.
    > > >
    > > >
    >
    > sending to informix-list

    David E. Grove Guest

  3. #3

    Default RE: Level 2 ODBC Drivers for IDS


    Informix had ESQL/COBOL product at one time, not sure if it is still
    around.......

    Wayne Martin
    Database Administrator
    Kmart Corporation


    -----Original Message-----
    From: David E. Grove [mailto:david_grovecorrect.state.ak.us]
    Sent: Friday, July 18, 2003 7:14 PM
    To: [email]informix-listiiug.org[/email]
    Subject: Re: Level 2 ODBC Drivers for IDS

    That sure makes sense, Alexey.

    So, it would seem that IBM does not supply a Level 2 ODBC driver. (The list
    of unsupported ODBC features in the manual confirms it.) Further, IBM says
    that theirs is the only ODBC driver they recommend.

    That suggests two questions:

    1) What is IBM's solution to the need for a Level 2 ODBC driver?

    and

    2) What are other users doing to get ODBC Level 2 conformance?

    DG





    "Alexey Sonkin" <alexeisgrandvirtual.com> wrote in message
    news:bf9t1f$fhl$1terabinaries.xmission.com...
    >
    > Hi, David,
    >
    > I think that IBM engineer's confused between ODBC level
    > and ODBC version.
    > "new Informix product that implements the Microsoft Open Database
    > Connectivity (ODBC) version 3.0 standard" (from Release notes)
    >
    > ------------------------------------------
    > Alexey Sonkin
    > Senior Database Administrator
    >
    >
    > > -----Original Message-----
    > > From: David E. Grove [mailto:david_grovecorrect.state.ak.us]
    > > Sent: Friday, July 18, 2003 3:38 PM
    > > To: [email]informix-listiiug.org[/email]
    > > Subject: Re: Level 2 ODBC Drivers for IDS
    > >
    > > IDS 9.21.FC4-1
    > > Solaris 8
    > > Wintel client machine
    > >
    > > We want to use the AcuCorp AcuCobol product. We ran its ODBC Driver
    test
    > > program, and it reported that our ODBC driver (3.82.0000 2.81.TC1) was
    > > Conformance Level 1 (both SQL and API). Since AcuCobol requires Level
    2,
    > > I
    > > called IBM tech support to inquire on availability of Level 2 ODBC
    > > drivers.
    > > They told me two things: 1) the current IBM driver is the ONLY
    > > recommended/supported driver-- any 3rd party product is unsupported and
    > > used
    > > at our risk; 2) the current IBM Informix ODBC driver is ODBC Level 3
    > > compliant.
    > >
    > > I am aware of ODBC Level categories (API and SQL) of "Core", "Level 1",
    > > and
    > > "Level 2". I am not aware of "Level 3". I asked the engineer if Level
    3
    > > was a superset of Level 2. He didn't seem to fully understand the
    > > question,
    > > and told me that it didn't really matter because the IBM Informix ODBC
    > > driver was the only recommended driver, regardless. I replied that
    > > Acucobol
    > > requires a Level 2 driver, and wanted to know if the IBM Informix driver
    > > qualified as Level 2. The engineer again replied that it didn't really
    > > matter because the IBM Informix driver was the only recommended driver.
    > > At
    > > that point, it seemed like we were in a rut, so I thanked him for his
    time
    > > and politely ended the conversation.
    > >
    > > But, I am still confused and a little frustrated.
    > >
    > > Does the IBM Informix ODBC driver conform to Level 2 (SQL and API)?
    > >
    > > Is there really an ODBC "Level 3" Conformance rating?
    > >
    > > Is it really true that the only workable IBM Informix ODBC driver is the
    > > one
    > > that is published by IBM?
    > >
    > >
    > > Thank you.
    > >
    > > DG
    > >
    > >
    > >
    > > "David E. Grove" <david_grovecorrect.state.ak.us> wrote in message
    > > news:vhg99sc8ankb0corp.supernews.com...
    > > > Does anyone know if there exist any Level 2 ODBC drivers for Informix
    > > 9.x?
    > > >
    > > > We are using the latest IBM Informix ODBC driver (3.82.0000 2.81.TC1),
    > > and
    > > > it appears to be Conformance Level 1 (both SQL and API).
    > > >
    > > > Thank you.
    > > >
    > > > DG
    > > >
    > > > --
    > > > David Grove
    > > >
    > >
    > - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    > > -
    > > > "I think not," said Descartes, and disappeared.
    > > >
    > > >
    >
    > sending to informix-list


    This message and its contents (to include attachments) are the property of Kmart Corporation (Kmart) and may contain confidential and proprietary information. You are hereby notified that any disclosure, copying, or distribution of this message, or the taking of any action based on information contained herein is strictly prohibited. Unauthorized use of information contained herein may subject you to civil and criminal prosecution and penalties. If you are not the intended recipient, you should delete this message immediately.



    sending to informix-list
    Martin, Wayne E. Guest

  4. #4

    Default Re: Level 2 ODBC Drivers for IDS

    Thank you all for your comments.

    I guess the bottom line(s) is (are):
    1) IBM does not provide a Level 2 driver...
    2) ...because IDS lacks certain ODBC Level 2 functionality.
    3) Other ODBC drivers are available, but IBM says explicitly that none of
    them are recommended.
    4) IBM Tech Support, when asked about ODBC support as an official (paid
    for) tech support case, and after explicitly verifying their answer with
    more knowledgable tech support folks, still "missed the mark" with their
    official response.


    DG



    "David E. Grove" <david_grovecorrect.state.ak.us> wrote in message
    news:vhg99sc8ankb0corp.supernews.com...
    > Does anyone know if there exist any Level 2 ODBC drivers for Informix 9.x?
    >
    > We are using the latest IBM Informix ODBC driver (3.82.0000 2.81.TC1), and
    > it appears to be Conformance Level 1 (both SQL and API).
    >
    > Thank you.
    >
    > DG
    >
    > --
    > David Grove
    >
    > - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    > "I think not," said Descartes, and disappeared.
    >
    >

    David E. Grove Guest

Similar Threads

  1. ODBC Drivers error '80004005'
    By xwardox in forum Macromedia Dynamic HTML
    Replies: 0
    Last Post: November 1st, 07:39 PM
  2. Updating mysql ODBC drivers in CF
    By ChuckInAtl in forum Coldfusion Database Access
    Replies: 2
    Last Post: June 29th, 10:39 PM
  3. Probelm with Unicode and ODBC-Drivers
    By Pit in forum PERL Modules
    Replies: 7
    Last Post: March 14th, 10:25 AM
  4. MySQL ODBC/OLE DB Drivers
    By CJM in forum ASP Database
    Replies: 4
    Last Post: February 23rd, 09:53 PM
  5. Which ODBC drivers
    By malcolm.iiug in forum Informix
    Replies: 2
    Last Post: November 4th, 11:33 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139